<div class="inventory-filters flexrow">
  {{#unless isVehicle}}
    <ul class="filter-list flexrow" data-filter="inventory">
      <li class="filter-item" data-filter="action">{{localize "ACE.Action"}}</li>
      <li class="filter-item" data-filter="drawn">{{localize "ACE.Drawn"}}</li>
      <li class="filter-item" data-filter="equipped">{{localize "ACE.Equipped"}}</li>
    </ul>
  {{/unless}}
</div>

<ol class="items-list inventory-list">
  <p>Foo Bar</p>
  {{#each inventory as |section sid|}}
    <li class="items-header flexrow">
      <h3 class="item-name flexrow">:{{localize section.label}}:
        {{#if section.decorations}}
          {{#each section.decorations as |decoration did|}}
            <a class="{{did}}" title="{{decoration.label}}"><i class="fas {{decoration.symbol}}"></i></a>
          {{/each}}
        {{/if}}
      </h3>

      {{#if section.columns}}
        {{#each section.columns}}
          <div class="item-detail {{css}}">{{label}}</div>
        {{/each}}
      {{else}}
        {{#if ../isCharacter}}
          <div class="item-detail item-weight">{{localize "ACE.Weight"}}</div>
        {{/if}}

        <div class="item-detail item-quantity">{{localize "ACE.Quantity"}}</div>
        <div class="item-detail item-action">{{localize "ACE.Usage"}}</div>
      {{/if}}

      {{#if ../owner}}
        <div class="item-controls flexrow">
          <a class="item-control item-create" title='{{localize "ACE.ItemCreate"}}' {{#each section.dataset as |v
            k|}}data-{{k}}="{{v}}" {{/each}}>
            <i class="fas fa-plus"></i> {{localize "ACE.Add"}}
          </a>
        </div>
      {{/if}}
    </li>

    <ol class="item-list">
      {{#each section.items as |item iid|}}
        <li class="item flexrow {{section.css}}"
          data-item-id="{{#if section.editableName}}{{iid}}{{else}}{{item._id}}{{/if}}">
          <div class="item-name flexrow rollable">
            {{#if section.editableName}}
              <input type="text" value="{{item.name}}">
            {{else}}
              <div class="item-image" tabindex="0" role="button" aria-label="{{item.name}}"
                style="background-image: url('{{item.img}}')"></div>
              <h4>
                {{item.name~}}
                {{~#if item.isStack}} ({{item.system.quantity}}){{/if}}
              </h4>
            {{/if}}
          </div>

          {{#if section.columns}}
            {{#each section.columns}}
              <div class="item-detail {{css}}">
                {{#with (getProperty item property)}}
                  {{#if ../editable}}
                    <input type="text" value="{{this}}" placeholder="&mdash;" data-dtype="{{../editable}}"
                      data-property="{{../property}}">
                  {{else}}
                    {{this}}
                  {{/if}}
                {{/with}}
              </div>
            {{/each}}
          {{else}}
            {{#if ../../isCharacter}}
              <div class="item-detail item-weight">
                {{#if item.totalWeight}}
                  <div class="item-detail">
                    {{ item.totalWeight }} {{ @root.weightUnit }}
                  </div>
                {{/if}}
              </div>
            {{/if}}

            <div class="item-detail item-uses">
              {{#if item.hasUses }}
                <input type="text" value="{{item.system.uses.value}}" placeholder="0" />
                / {{item.system.uses.max}}
              {{/if}}
            </div>

            <div class="item-detail item-action">
              {{#if item.system.activation.type }}
                {{item.labels.activation}}
              {{/if}}
            </div>
          {{/if}}

          {{#if ../../owner}}
            <div class="item-controls flexrow">
              {{#unless @root.isVehicle}}
                <a class="item-control item-toggle {{item.toggleClass}}" title='{{item.toggleTitle}}'>
                  <i class="fas fa-shield-alt"></i>
                </a>
              {{/unless}}
              {{#unless section.editableName}}
                <a class="item-control item-edit" title='{{localize "ACE.ItemEdit"}}'><i class="fas fa-edit"></i></a>
              {{/unless}}
              <a class="item-control item-delete" title='{{localize "ACE.ItemDelete"}}'><i class="fas fa-trash"></i></a>
            </div>
          {{/if}}
        </li>
      {{/each}}
    </ol>
  {{/each}}
</ol>

{{#unless isNPC}}
  {{#with system.attributes.encumbrance}}
    <div class="encumbrance {{#if encumbered}}encumbered{{/if}}">
      <span class="encumbrance-bar" style="width:{{pct}}%"></span>
      <span class="encumbrance-label">{{value}} / {{max}}</span>
      <i class="encumbrance-breakpoint encumbrance-33 arrow-up"></i>
      <i class="encumbrance-breakpoint encumbrance-33 arrow-down"></i>
      <i class="encumbrance-breakpoint encumbrance-66 arrow-up"></i>
      <i class="encumbrance-breakpoint encumbrance-66 arrow-down"></i>
    </div>
  {{/with}}
{{/unless}}